Package twisted :: Package protocols :: Module telnet

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.telnet

TELNET implementation, with line-oriented command handling.

Classes
`Telnet` | I am a Protocol for handling Telnet connections.

Function Summary
| `multireplace(st, dct)`

Variable Summary
`str` | `AO`
`str` | `AYT`
`str` | `BEL`
`str` | `BOLD_MODE_OFF`
`str` | `BOLD_MODE_ON`
`str` | `BRK`
`str` | `BS`
`str` | `CR`
`str` | `DM`
`str` | `DO`
`str` | `DONT`
`str` | `EC`
`str` | `ECHO`
`str` | `EL`
`str` | `ESC`
`str` | `FF`
`str` | `GA`
`str` | `HIDE`
`str` | `HT`
`str` | `IAC`
`dict` | `iacBytes`
`str` | `IP`
`str` | `LF`
`str` | `LINEMODE`
`str` | `NOECHO`
`str` | `NOP`
`str` | `NULL`
`str` | `SB`
`str` | `SE`
`str` | `SUPGA`
`str` | `VT`
`str` | `WILL`
`str` | `WONT`

Variable Details

### AO

  Type:
    `str`
  Value:

        '\xf5'

### AYT

  Type:
    `str`
  Value:

        '\xf6'

### BEL

  Type:
    `str`
  Value:

        '\x07'

### BOLD_MODE_OFF

  Type:
    `str`
  Value:

        '\x1b[m'

### BOLD_MODE_ON

  Type:
    `str`
  Value:

        '\x1b[1m'

### BRK

  Type:
    `str`
  Value:

        '\xf3'

### BS

  Type:
    `str`
  Value:

        '\x08'

### CR

  Type:
    `str`
  Value:

        '\r'

### DM

  Type:
    `str`
  Value:

        '\xf2'

### DO

  Type:
    `str`
  Value:

        '\xfd'

### DONT

  Type:
    `str`
  Value:

        '\xfe'

### EC

  Type:
    `str`
  Value:

        '\xf7'

### ECHO

  Type:
    `str`
  Value:

        '\x01'

### EL

  Type:
    `str`
  Value:

        '\xf8'

### ESC

  Type:
    `str`
  Value:

        '\x1b'

### FF

  Type:
    `str`
  Value:

        '\x0c'

### GA

  Type:
    `str`
  Value:

        '\xf9'

### HIDE

  Type:
    `str`
  Value:

        '\x85'

### HT

  Type:
    `str`
  Value:

        '\t'

### IAC

  Type:
    `str`
  Value:

        '\xff'

### iacBytes

  Type:
    `dict`
  Value:

        {'\xfb': 'WILL', '\xf4': 'IP', '\xfd': 'DO', '\xfc': 'WONT', '\xfe': '\
        DONT'}

### IP

  Type:
    `str`
  Value:

        '\xf4'

### LF

  Type:
    `str`
  Value:

        '''
        '''

### LINEMODE

  Type:
    `str`
  Value:

        '"'

### NOECHO

  Type:
    `str`
  Value:

        '\x83'

### NOP

  Type:
    `str`
  Value:

        '\xf1'

### NULL

  Type:
    `str`
  Value:

        '\x00'

### SB

  Type:
    `str`
  Value:

        '\xfa'

### SE

  Type:
    `str`
  Value:

        '\xf0'

### SUPGA

  Type:
    `str`
  Value:

        '\x03'

### VT

  Type:
    `str`
  Value:

        '\x0b'

### WILL

  Type:
    `str`
  Value:

        '\xfb'

### WONT

  Type:
    `str`
  Value:

        '\xfc'

Generated by Epydoc 1.1 on Thu May 8 13:18:55 2003 | http://epydoc.sf.net